# mime.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct _MimeInfo | MimeInfo

## Functions

MagickExport char ** | GetMimeList (const char *, unsigned long *, ExceptionInfo *)
MagickExport char *** | MagickToMime (const char *)
MagickExport const char * | GetMimeDescription (const MimeInfo *)
MagickExport const char ** | GetMimeType (const MimeInfo *)
MagickExport MagickBooleanType | ListMimeInfo (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | LoadMimeLists (const char *, ExceptionInfo *)
MagickExport const MimeInfo * | GetMimeInfo (const char *, const unsigned char *, const size_t, ExceptionInfo *)
MagickExport const MimeInfo *** | GetMimeInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport void | DestroyMimeList (void)

## Typedef Documentation

typedef struct _MimeInfo MimeInfo

## Function Documentation

MagickExport void DestroyMimeList | ( | void |  | ) |

MagickExport const char* GetMimeDescription | ( | const MimeInfo * |  | ) |

MagickExport const MimeInfo* GetMimeInfo | ( | const char * | ,
|  | const unsigned char * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const MimeInfo* ** GetMimeInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetMimeList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* * GetMimeType | ( | const MimeInfo * |  | ) |

MagickExport MagickBooleanType ListMimeInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType LoadMimeLists | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** * MagickToMime | ( | const char * |  | ) |